program fjf193c(Output);
(* FLAG --extended-pascal *)
var foo: text;
procedure p(var a:text);
var b: BindingType;
begin
  b:= binding(a); (* WRONG *) { a is not declared bindable --> runtime error }
  bind(a,b) (* WRONG *) { a is not declared bindable --> runtime error }
end;
begin
  p(foo);
  writeln('Failed')
end.
